MODULE Module1

  ! Created with RAPID_P5 for FUTURE CNC
  PERS tooldata MyTool:=[TRUE,[[0.0,0.0,127.0],[1.0,0.0,0.0,0.0]],[1,[0,0,1],[1,0,0,0],0,0,0]];
  CONST jointtarget homePose := [[0,0,0,0,0,0],[0,0,0,0,0,0]];

FUNC robtarget getRobtarget(num x, num y, num z, num eulerX, num eulerY, num eulerZ)
  VAR robtarget targetToMoveTo:= [ [0,0,0], [1, 0, 0, 0], [0, 0, 0, 0], [ 9E9, 9E9, 9E9, 9E9, 9E9, 9E9] ];
  VAR jointtarget testJoint;
  VAR robtarget testTarget;
  targetToMoveTo.trans := [x,y,z];
  targetToMoveTo.rot := OrientZYX(eulerZ, eulerY, eulerX);
  testJoint  := CJointT();
  testTarget := CalcRobT(testJoint, MyTool);
  targetToMoveTo.robconf := testTarget.robconf;
  RETURN targetToMoveTo;
ENDFUNC

PROC main()
  ConfL\Off;
  ConfJ\Off;

  MoveAbsJ homePose, v100, z1, MyTool;

  MoveJ getRobtarget(600.0,0.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,30.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,60.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,90.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,120.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,150.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,180.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,210.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,240.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
  MoveJ getRobtarget(600.0,270.0,500.0,0.0,90.0,0.0), v100, z1, MyTool;
ENDPROC

ENDMODULE
